/**
 * @file
 * Zoom Control.
 */

(function ($, Drupal) {
  "use strict";

  /**
   * Zoom Control.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *  Attaches common map style functionality to relevant elements.
   */
  Drupal.behaviors.tianMapsNavigationControls = {
    attach: function (context, drupalSettings) {
      Drupal.geolocation.executeFeatureOnAllMaps(
        "tian_maps_navigation_controls",

        /**
         * @param {GeolocationTianMap} map - Current map.
         * @param {GeolocationMapFeatureSettings} featureSettings - Settings for current feature.
         */
        function (map, featureSettings) {
          const opts = {
            type: window[featureSettings.type],
            anchor: window[featureSettings.position],
          };
          let control = new T.Control.Zoom();
          control.setPosition(eval(featureSettings.position));
          map.tianMap.addControl(control);
          // map.tianMap.addControl(new T.NavigationControl(opts));
          return true;
        },
        drupalSettings
      );
    },
    detach: function (context, drupalSettings) {},
  };
})(jQuery, Drupal);
